Auth

Token, password, SSO, login-as, and account authentication flows.

13 of 13
POST/v1.0/auth/acceptTermsAndConditionsChanges dataPermalink ↗

Acceptance of Terms and Conditions.

Parameters

TCAcceptanceLogbodyTCAcceptanceLogrequired

TCAcceptanceLog

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/acceptTermsAndConditions" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/auth/clientTokenRead-onlyPermalink ↗

Get a token for an API user for a trusted client.

Parameters

Client API credentialsbodyobjectrequired

Client API credentials

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/clientToken" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/auth/enrichTokenChanges dataPermalink ↗

Creates OKTA token enrichment object

Parameters

OktaTokenbodyobjectrequired

Okta OAUTH2 token

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/enrichToken" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/auth/loginAsChanges dataPermalink ↗

Get a token for a requested user.

Parameters

SwithUserRequestbodyobjectrequired

User Name to switch account

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/loginAs" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/auth/passwordChanges dataPermalink ↗

Validate authorization to update password. Restricted to special 'CHANGE_PASSWORD' role

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/password" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/auth/passwordChanges dataPermalink ↗

Updates user password in case user forgot current password. Restricted to special 'CHANGE_PASSWORD' role

Parameters

PasswordRequestBodybodyobjectrequired

PasswordRequestBody

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/password" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/auth/passwordResetChanges dataPermalink ↗

Request a password reset. Sends a password reset link to the user’s email.

Parameters

usernamebodyobjectrequired

User login name associated with user

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/passwordReset" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/auth/refreshTokenRead-onlyPermalink ↗

Get a new token with an increased expiration time.

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/refreshToken" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/auth/setAssociatedAccountPasswordChanges dataPermalink ↗

Set the new associated account to enable and change the default password

Parameters

usernamebodyobjectrequired

User login name associated

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/setAssociatedAccountPassword" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/auth/sso/initiateChanges dataPermalink ↗

Initiate SP-initiated SSO flow using user email. Returns WorkOS authorization URL when SSO is configured for the domain.

Parameters

bodybodySsoInitiateRequestrequired

Email address to initiate SSO

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/sso/initiate" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/auth/termsAndConditionsChanges dataPermalink ↗

Updates the date the user accepted the Terms and Condtions of the page

Parameters

No parameters.

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/termsAndConditions" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/auth/tokenRead-onlyPermalink ↗

Get an authentication token (JWT). Note that 'Bearer' text should be added before the JWT token that is returned in this API call upon successful response for the authorizing purposes and any subsequent API calls that are going to be made.

Parameters

bodybodyUserCredentialrequired

User credentials to be authenticated.

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/token" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "username": "admin@northstar-isd.edu",
  "password": "$SENTINEL_PASSWORD"
}'
POST/v1.0/auth/usernameRequestChanges dataPermalink ↗

Sends the username for a given email address

Parameters

emailbodyobjectrequired

Email address associated with user

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/auth/usernameRequest" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.